
_init_main:

;mem_move_eeprom.c,54 :: 		void init_main (void){
;mem_move_eeprom.c,64 :: 		EEPROM_GET((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);
	MOVLW       _Unit+0
	MOVWF       FARG_EEPROM_GET+0 
	MOVLW       hi_addr(_Unit+0)
	MOVWF       FARG_EEPROM_GET+1 
	MOVLW       67
	MOVWF       FARG_EEPROM_GET_num+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_GET_num+1 
	CLRF        FARG_EEPROM_GET_addr+0 
	CLRF        FARG_EEPROM_GET_addr+1 
	CALL        _EEPROM_GET+0, 0
;mem_move_eeprom.c,69 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,70 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,72 :: 		if(Unit.header != 0xAA)       // check header byte first
	MOVF        _Unit+0, 0 
	XORLW       170
	BTFSC       STATUS+0, 2 
	GOTO        L_init_main0
;mem_move_eeprom.c,74 :: 		Unit.header = 0xAA;       // set to 0xAA so next time its valid
	MOVLW       170
	MOVWF       _Unit+0 
;mem_move_eeprom.c,75 :: 		Unit.address = 99;
	MOVLW       99
	MOVWF       _Unit+1 
;mem_move_eeprom.c,76 :: 		Unit.soft_trip=0.000123;  // float value
	MOVLW       144
	MOVWF       _Unit+2 
	MOVLW       249
	MOVWF       _Unit+3 
	MOVLW       0
	MOVWF       _Unit+4 
	MOVLW       114
	MOVWF       _Unit+5 
;mem_move_eeprom.c,77 :: 		Unit.dac_set=512;
	MOVLW       0
	MOVWF       _Unit+6 
	MOVLW       2
	MOVWF       _Unit+7 
;mem_move_eeprom.c,78 :: 		Unit.hivolt_set = 24;     // char value
	MOVLW       24
	MOVWF       _Unit+9 
	MOVLW       0
	MOVWF       _Unit+10 
;mem_move_eeprom.c,79 :: 		Unit.fooFloat= 1e-9;      // diff notation
	MOVLW       95
	MOVWF       _Unit+15 
	MOVLW       112
	MOVWF       _Unit+16 
	MOVLW       9
	MOVWF       _Unit+17 
	MOVLW       97
	MOVWF       _Unit+18 
;mem_move_eeprom.c,80 :: 		Unit.fooLong = 123456;    //
	MOVLW       64
	MOVWF       _Unit+11 
	MOVLW       226
	MOVWF       _Unit+12 
	MOVLW       1
	MOVWF       _Unit+13 
	MOVLW       0
	MOVWF       _Unit+14 
;mem_move_eeprom.c,81 :: 		strcpy(Unit.txt,"Hello World I Love Mikroe!");
	MOVLW       _Unit+21
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_Unit+21)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr1_mem_move_eeprom+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr1_mem_move_eeprom+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;mem_move_eeprom.c,82 :: 		strcpy(Unit.IP,"100.102.123.101");
	MOVLW       _Unit+51
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_Unit+51)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr2_mem_move_eeprom+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr2_mem_move_eeprom+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;mem_move_eeprom.c,86 :: 		EEPROM_PUT((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);  // store defaults
	MOVLW       _Unit+0
	MOVWF       FARG_EEPROM_PUT+0 
	MOVLW       hi_addr(_Unit+0)
	MOVWF       FARG_EEPROM_PUT+1 
	MOVLW       67
	MOVWF       FARG_EEPROM_PUT_num+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_PUT_num+1 
	CLRF        FARG_EEPROM_PUT_addr+0 
	CLRF        FARG_EEPROM_PUT_addr+1 
	CALL        _EEPROM_PUT+0, 0
;mem_move_eeprom.c,87 :: 		asm nop;
	NOP
;mem_move_eeprom.c,88 :: 		}
L_init_main0:
;mem_move_eeprom.c,89 :: 		asm nop;
	NOP
;mem_move_eeprom.c,90 :: 		}
L_end_init_main:
	RETURN      0
; end of _init_main

_main:

;mem_move_eeprom.c,101 :: 		void main()
;mem_move_eeprom.c,103 :: 		init_main();                   // intialize
	CALL        _init_main+0, 0
;mem_move_eeprom.c,104 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,105 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,107 :: 		strcpy(Unit.txt,"I HAVE BEEN CHANGED!");
	MOVLW       _Unit+21
	MOVWF       FARG_strcpy_to+0 
	MOVLW       hi_addr(_Unit+21)
	MOVWF       FARG_strcpy_to+1 
	MOVLW       ?lstr3_mem_move_eeprom+0
	MOVWF       FARG_strcpy_from+0 
	MOVLW       hi_addr(?lstr3_mem_move_eeprom+0)
	MOVWF       FARG_strcpy_from+1 
	CALL        _strcpy+0, 0
;mem_move_eeprom.c,108 :: 		EEPROM_PUT((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);  // store
	MOVLW       _Unit+0
	MOVWF       FARG_EEPROM_PUT+0 
	MOVLW       hi_addr(_Unit+0)
	MOVWF       FARG_EEPROM_PUT+1 
	MOVLW       67
	MOVWF       FARG_EEPROM_PUT_num+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_PUT_num+1 
	CLRF        FARG_EEPROM_PUT_addr+0 
	CLRF        FARG_EEPROM_PUT_addr+1 
	CALL        _EEPROM_PUT+0, 0
;mem_move_eeprom.c,109 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,110 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,112 :: 		EEPROM_GET((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);
	MOVLW       _Unit+0
	MOVWF       FARG_EEPROM_GET+0 
	MOVLW       hi_addr(_Unit+0)
	MOVWF       FARG_EEPROM_GET+1 
	MOVLW       67
	MOVWF       FARG_EEPROM_GET_num+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_GET_num+1 
	CLRF        FARG_EEPROM_GET_addr+0 
	CLRF        FARG_EEPROM_GET_addr+1 
	CALL        _EEPROM_GET+0, 0
;mem_move_eeprom.c,113 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,114 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,118 :: 		EEPROM_PUT((char*)&etxt,sizeof(etxt),EEPROM_ARY_LOC);  // store
	MOVLW       _etxt+0
	MOVWF       FARG_EEPROM_PUT+0 
	MOVLW       hi_addr(_etxt+0)
	MOVWF       FARG_EEPROM_PUT+1 
	MOVLW       31
	MOVWF       FARG_EEPROM_PUT_num+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_PUT_num+1 
	MOVLW       160
	MOVWF       FARG_EEPROM_PUT_addr+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_PUT_addr+1 
	CALL        _EEPROM_PUT+0, 0
;mem_move_eeprom.c,119 :: 		etxt[0]='Z';etxt[1]='Z';etxt[2]='Z';etxt[3]='Z';       // change a couple things
	MOVLW       90
	MOVWF       _etxt+0 
	MOVLW       90
	MOVWF       _etxt+1 
	MOVLW       90
	MOVWF       _etxt+2 
	MOVLW       90
	MOVWF       _etxt+3 
;mem_move_eeprom.c,120 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,121 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,122 :: 		EEPROM_GET((char*)&etxt,sizeof(etxt),EEPROM_ARY_LOC);  // restore
	MOVLW       _etxt+0
	MOVWF       FARG_EEPROM_GET+0 
	MOVLW       hi_addr(_etxt+0)
	MOVWF       FARG_EEPROM_GET+1 
	MOVLW       31
	MOVWF       FARG_EEPROM_GET_num+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_GET_num+1 
	MOVLW       160
	MOVWF       FARG_EEPROM_GET_addr+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_GET_addr+1 
	CALL        _EEPROM_GET+0, 0
;mem_move_eeprom.c,123 :: 		asm nop;    // array in RAM is restored
	NOP
;mem_move_eeprom.c,124 :: 		asm nop;    // breakpoint to check STRUCT values
	NOP
;mem_move_eeprom.c,126 :: 		while(1);  // hang out
L_main1:
	GOTO        L_main1
;mem_move_eeprom.c,127 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
