
_EEPROM_GET:

;generic_eeprom.c,48 :: 		void EEPROM_GET(char *ptr,int num,int addr)
;generic_eeprom.c,50 :: 		for (count=0;count<num;count++)
	CLRF        _count+0 
	CLRF        _count+1 
L_EEPROM_GET0:
	MOVLW       128
	XORWF       _count+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_EEPROM_GET_num+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EEPROM_GET9
	MOVF        FARG_EEPROM_GET_num+0, 0 
	SUBWF       _count+0, 0 
L__EEPROM_GET9:
	BTFSC       STATUS+0, 0 
	GOTO        L_EEPROM_GET1
;generic_eeprom.c,52 :: 		ptr[count]=EEPROM_Read(addr+count);  // read 1 byte
	MOVF        _count+0, 0 
	ADDWF       FARG_EEPROM_GET_ptr+0, 0 
	MOVWF       FLOC__EEPROM_GET+0 
	MOVF        _count+1, 0 
	ADDWFC      FARG_EEPROM_GET_ptr+1, 0 
	MOVWF       FLOC__EEPROM_GET+1 
	MOVF        _count+0, 0 
	ADDWF       FARG_EEPROM_GET_addr+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVF        _count+1, 0 
	ADDWFC      FARG_EEPROM_GET_addr+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVFF       FLOC__EEPROM_GET+0, FSR1L
	MOVFF       FLOC__EEPROM_GET+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;generic_eeprom.c,53 :: 		Delay_ms(1);
	MOVLW       13
	MOVWF       R12, 0
	MOVLW       251
	MOVWF       R13, 0
L_EEPROM_GET3:
	DECFSZ      R13, 1, 1
	BRA         L_EEPROM_GET3
	DECFSZ      R12, 1, 1
	BRA         L_EEPROM_GET3
	NOP
	NOP
;generic_eeprom.c,54 :: 		asm nop;
	NOP
;generic_eeprom.c,50 :: 		for (count=0;count<num;count++)
	INFSNZ      _count+0, 1 
	INCF        _count+1, 1 
;generic_eeprom.c,55 :: 		}
	GOTO        L_EEPROM_GET0
L_EEPROM_GET1:
;generic_eeprom.c,56 :: 		}
L_end_EEPROM_GET:
	RETURN      0
; end of _EEPROM_GET

_EEPROM_PUT:

;generic_eeprom.c,58 :: 		void EEPROM_PUT(char *ptr,int num,int addr)
;generic_eeprom.c,60 :: 		for (count=0;count<num;count++)
	CLRF        _count+0 
	CLRF        _count+1 
L_EEPROM_PUT4:
	MOVLW       128
	XORWF       _count+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORWF       FARG_EEPROM_PUT_num+1, 0 
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__EEPROM_PUT11
	MOVF        FARG_EEPROM_PUT_num+0, 0 
	SUBWF       _count+0, 0 
L__EEPROM_PUT11:
	BTFSC       STATUS+0, 0 
	GOTO        L_EEPROM_PUT5
;generic_eeprom.c,62 :: 		EEPROM_Write(addr+count,ptr[count]); // write 1 byte
	MOVF        _count+0, 0 
	ADDWF       FARG_EEPROM_PUT_addr+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _count+1, 0 
	ADDWFC      FARG_EEPROM_PUT_addr+1, 0 
	MOVWF       FARG_EEPROM_Write_address+1 
	MOVF        _count+0, 0 
	ADDWF       FARG_EEPROM_PUT_ptr+0, 0 
	MOVWF       FSR0L 
	MOVF        _count+1, 0 
	ADDWFC      FARG_EEPROM_PUT_ptr+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;generic_eeprom.c,63 :: 		Delay_ms(1);
	MOVLW       13
	MOVWF       R12, 0
	MOVLW       251
	MOVWF       R13, 0
L_EEPROM_PUT7:
	DECFSZ      R13, 1, 1
	BRA         L_EEPROM_PUT7
	DECFSZ      R12, 1, 1
	BRA         L_EEPROM_PUT7
	NOP
	NOP
;generic_eeprom.c,64 :: 		asm nop;
	NOP
;generic_eeprom.c,60 :: 		for (count=0;count<num;count++)
	INFSNZ      _count+0, 1 
	INCF        _count+1, 1 
;generic_eeprom.c,65 :: 		}
	GOTO        L_EEPROM_PUT4
L_EEPROM_PUT5:
;generic_eeprom.c,66 :: 		}
L_end_EEPROM_PUT:
	RETURN      0
; end of _EEPROM_PUT
