#line 1 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
#line 1 "j:/work/buildingblocks/memhandler/generic_eeprom.h"
#line 5 "j:/work/buildingblocks/memhandler/generic_eeprom.h"
extern void EEPROM_GET(char *,int num,int addr);
extern void EEPROM_PUT(char *,int num,int addr);
#line 20 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
const int EEPROM_STRUCT_LOC = 0X00;
const int EEPROM_ARY_LOC = 0XA0;
char etxt[]="This is some data to be stored";
#line 34 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
struct unit
{
 char header;
 unsigned char address;
 float soft_trip;
 unsigned dac_set;
 char hilow_flag;
 unsigned int hivolt_set;
 long fooLong;
 float fooFloat;
 int fooInt;
 char txt[30];
 char IP[16];
};
struct unit Unit;
#line 54 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
void init_main (void){
#line 64 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
 EEPROM_GET((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);
#line 69 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
 asm nop;
 asm nop;

 if(Unit.header != 0xAA)
 {
 Unit.header = 0xAA;
 Unit.address = 99;
 Unit.soft_trip=0.000123;
 Unit.dac_set=512;
 Unit.hivolt_set = 24;
 Unit.fooFloat= 1e-9;
 Unit.fooLong = 123456;
 strcpy(Unit.txt,"Hello World I Love Mikroe!");
 strcpy(Unit.IP,"100.102.123.101");
#line 86 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
 EEPROM_PUT((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);
 asm nop;
 }
 asm nop;
}
#line 101 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
void main()
{
 init_main();
 asm nop;
 asm nop;

 strcpy(Unit.txt,"I HAVE BEEN CHANGED!");
 EEPROM_PUT((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);
 asm nop;
 asm nop;

 EEPROM_GET((char*)&Unit,sizeof(Unit),EEPROM_STRUCT_LOC);
 asm nop;
 asm nop;
#line 118 "J:/WORK/buildingblocks/memhandler/mem_move_eeprom.c"
 EEPROM_PUT((char*)&etxt,sizeof(etxt),EEPROM_ARY_LOC);
 etxt[0]='Z';etxt[1]='Z';etxt[2]='Z';etxt[3]='Z';
 asm nop;
 asm nop;
 EEPROM_GET((char*)&etxt,sizeof(etxt),EEPROM_ARY_LOC);
 asm nop;
 asm nop;

 while(1);
}
